com.hazelcast.config

## Class WanConsumerConfig

- java.lang.Object
- - com.hazelcast.config.WanConsumerConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public class WanConsumerConfig
      extends Object
      implements IdentifiedDataSerializable

  Config to be used by WanReplicationConsumer instances (EE only). This allows creating a custom WAN consumer which is usually used in combination with a custom WAN publisher.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WanConsumerConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Get the fully qualified class name of the class implementing WanReplicationConsumer.
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `Object` | `getImplementation()` Get the implementation implementing WanReplicationConsumer.
    `Map<String,Comparable>` | `getProperties()` Return the properties for this WAN consumer.
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `WanConsumerConfig` | `setClassName(String className)` Set the name of the class implementing WanReplicationConsumer.
    `WanConsumerConfig` | `setImplementation(Object implementation)` Set the implementation for this WAN consumer.
    `WanConsumerConfig` | `setProperties(Map<String,Comparable> properties)` Set the properties for the WAN consumer.
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WanConsumerConfig

          public WanConsumerConfig()

  - ### Method Detail

    - #### getProperties

          public Map<String,Comparable> getProperties()

      Return the properties for this WAN consumer.
      Returns:
        the WAN consumer properties

    - #### setProperties

          public WanConsumerConfig setProperties(Map<String,Comparable> properties)

      Set the properties for the WAN consumer. These properties are accessible when initalizing the WAN consumer.
      Parameters:
        `properties` - the properties for the WAN consumer
      Returns:
        this config

    - #### getClassName

          public String getClassName()

      Get the fully qualified class name of the class implementing WanReplicationConsumer.
      Returns:
        fully qualified class name

    - #### setClassName

          public WanConsumerConfig setClassName(String className)

      Set the name of the class implementing WanReplicationConsumer.
      Parameters:
        `className` - fully qualified class name
      Returns:
        this config

    - #### getImplementation

          public Object getImplementation()

      Get the implementation implementing WanReplicationConsumer.
      Returns:
        the implementation for this WAN consumer

    - #### setImplementation

          public WanConsumerConfig setImplementation(Object implementation)

      Set the implementation for this WAN consumer. The object must implement WanReplicationConsumer.
      Parameters:
        `implementation` - the object implementing WanReplicationConsumer
      Returns:
        this config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

Copyright © 2018. All rights reserved.